FROM ubuntu:22.04

ENV DEBIAN_FRONTEND noninteractive
RUN apt-get update \
    && apt-get install -y python3 pipx sudo make \
    && apt-get clean \
    && apt-get autoclean \
    && apt-get autoremove \
    && rm -rf /var/lib/apt/lists/*
    
WORKDIR /home/root

RUN pipx ensurepath
RUN pipx install --include-deps ansible
RUN pipx install --include-deps ansible-lint

ENV PATH=/root/.local/bin:$PATH
COPY requirements.yml .
RUN ansible-galaxy collection install -r requirements.yml

COPY . .
